Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions.iphone
Class MultiFingerTapZoomOutAction

    java.lang.Object
      com.maryanovsky.map.client.actions.MapAction<HasMultiFingerTapHandlers>
          com.maryanovsky.map.client.actions.iphone.MultiFingerTapZoomOutAction

All Implemented Interfaces:
  EventHandler, MultiFingerTapHandler

    public class MultiFingerTapZoomOutAction

extends MapAction<HasMultiFingerTapHandlers>
implements MultiFingerTapHandler

Zooms the map out when the user taps the map widget.

Author:
  Maryanovsky Alexander

Field Summary

Fields inherited from class com.maryanovsky.map.client.actions.MapAction
`isAnimated, mapWidget`

Constructor Summary
`MultiFingerTapZoomOutAction(MapWidget mapWidget, boolean isAnimated)` Creates a new `MultiFingerTapZoomOutAction` for the specified map widget, and with optionally animated zoom-out transition.

Method Summary
`void` | `onMultiFingerTap(MultiFingerTapEvent evt)` Invoked when the user taps the screen with one or fingers.
`HandlerRegistration` | `registerWith(HasMultiFingerTapHandlers tapSource)` Registers for handling multi-finger tap events from the specified source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFingerTapZoomOutAction

    public MultiFingerTapZoomOutAction(MapWidget mapWidget,
                                       boolean isAnimated)

  Creates a new `MultiFingerTapZoomOutAction` for the specified map widget, and with optionally animated zoom-out transition.

  Parameters:
    `mapWidget` - The target map widget.
    `isAnimated` - Whether the zoom-out transition is animated.

Method Detail

### registerWith

    public HandlerRegistration registerWith(HasMultiFingerTapHandlers tapSource)

  Registers for handling multi-finger tap events from the specified source.

  Specified by:
    `registerWith` in class `MapAction<HasMultiFingerTapHandlers>`

### onMultiFingerTap

    public void onMultiFingerTap(MultiFingerTapEvent evt)

  Invoked when the user taps the screen with one or fingers.

  Specified by:
    `onMultiFingerTap` in interface `MultiFingerTapHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD